import React from "react";

const Button = ({
  className,
  iconClassName,
  iconHolderClassName,
  icon,
  text,
  onClick,
  sharpStyle,
  clippath,
}) => {
  return (
    <button
      style={{
        clipPath: sharpStyle ? clippath : "",
      }}
      onClick={onClick}
      className={`flex items-center justify-center transiton ease-linear duration-200 ${className}`}
    >
      {text}
      {icon && (
        <span className={`${iconHolderClassName}`}>
          <img src={icon} alt="icon" className={`${iconClassName}`} />
        </span>
      )}
    </button>
  );
};

export default Button;

Button.defaultProps = {
  className:
    "bg-primary text-primaryText hover:bg-primaryDark border border-b-4 border-primaryLight rounded text-sm px-4 py-4 hover:bg-opacity-90",
  text: "اطلاعات بیشتر",

  iconHolderClassName: "bg-secondary mr-2",
  iconClassName: "w-4",
  icon: false,

  sharpStyle: false,
  clippath: "polygon(24% 0, 100% 0%, 100% 99%, 0% 100%)",
};
